### Method

# Qmi MessageWdsBindSubscriptionInput set_subscription_id

since: 1.37

#### Declaration [src]

    gboolean
    qmi_message_wds_bind_subscription_input_set_subscription_id (
      QmiMessageWdsBindSubscriptionInput* self,
      QmiSubscriptionType value_subscription_id,
      GError** error
    )

#### Description [src]

Set the ‘Subscription Id’ field in the message.

Available since: 1.37

#### Parameters

`value_subscription_id`

  Type: `QmiSubscriptionType`

  A `QmiSubscriptionType`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.